const sequelize = require("../config/db");
const Player = require("./Player");
const Inventory = require("./Inventory");
const setupAssociations = require("./associations");
const Notification = require("./Notification");
const Friend = require("./Friend.js");

Player.hasMany(Inventory, { foreignKey: "playerId", as: "inventory" });
Inventory.belongsTo(Player, { foreignKey: "playerId" });
setupAssociations();

module.exports = {
  sequelize,
  Player,
  Inventory,
  Notification,
  Friend,
};
